// Command list for MMC operation
#define CMD_GO_IDLE_STATE		0 	// Reset the MMC
#define CMD_SEND_OP_COND		1 	// Activate initialization process
#define CMD_SET_BLOCKLEN		16 	// Set block length (in bytes)
#define CMD_READ_BLOCK 			17 	// Read a block of data
#define CMD_WRITE_BLOCK 		24 	// Write a block of data
#define CMD_CRC_ONOFF 			59 	// 0 to turn off CRC, 1 to turn on CRC
#define CMD_TAG_SECTOR_START	32  // Set the start sector for erasing - not supported on some cards
#define CMD_TAG_SECTOR_END		33  // Set the end sector for erasing - not supported on some cards
#define CMD_UNTAG_SECTOR		34  // Untags the sectors set by CMD32, CMD33
#define CMD_ERASE				38	// Erase command
#define ERASE_GROUP_START		32//35	// Sets the start group for performing erase operation
#define ERASE_GROUP_END			33//36	// Sets the end group for performing erase operation
#define SEND_STATUS				13	
#define SEND_CSD				9
#define SET_WRITE_PROT			28
#define CLR_WRITE_PROT			29


// R1 type response bit defintion
#define R1_IN_IDLE_STATE		0x1

// Data Token
#define DATA_TOKEN 				0xFE	// First byte sent when data is read and written